1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-03-15 01:14:12 +02:00
Files
coreutils/tests/misc/pathchk1
2007-07-23 14:35:58 +02:00

56 lines
1.6 KiB
Bash
Executable File

#!/bin/sh
# pathchk tests
# Copyright (C) 2002, 2004, 2005, 2006 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
if test "$VERBOSE" = yes; then
set -x
pathchk --version
fi
PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
mkdir -p $tmp || framework_failure=1
cd $tmp || framework_failure=1
touch file || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
(exit 1); exit 1
fi
fail=0
# This should exit nonzero. Before 2.0.13, it gave a diagnostic,
# but exited successfully.
pathchk file/x > /dev/null 2>&1 && fail=1
# This should exit nonzero. Through 5.3.0 it exited with status zero.
pathchk -p '' > /dev/null 2>&1 && fail=1
# This tests the new -P option.
pathchk -P '' > /dev/null 2>&1 && fail=1
pathchk -P -- - > /dev/null 2>&1 && fail=1
pathchk -p -P x/- > /dev/null 2>&1 && fail=1
(exit $fail); exit $fail